from fastapi import APIRouter, status
from schemas.name import NameSchema
from helpers.name_helpers import generate_name_code

router = APIRouter()

@router.post("/Akeem", status_code=status.HTTP_201_CREATED, response_model=NameSchema)
async def generate_name_code_endpoint():
    """Generate name code"""
    name_code = generate_name_code()
    return name_code